import "@/assets/css/iconfont.css";
import Taro from "@tarojs/taro";
import { Image } from "@tarojs/components";
import { getImgURL } from "@/utils/image";
import "./index.scss";

export const brokerShareLink = (buildingId) => Taro.navigateTo({
  url: `/pages/mine/addCustomer/index?buildingId=${buildingId}`,
});

export default function ProjectListItem(props) {
  return (
    <view
      className="brokerShare flex-h"
      onClick={() => brokerShareLink(props.buildingId)}
    >
      <view className="left">
        <image
          className="image"
          src={`${OSS_FAST_PATH}/miniapp/broker/钱袋.png`}
          alt=""
          srcset=""
        />
        <text>靓盘好卖 闪付结佣</text>
      </view>
      <view className="right">
        <text>推荐好友</text>

        <image
          className="image"
          src={`${OSS_FAST_PATH}/miniapp/broker/分享.png`}
          alt=""
          srcset=""
        />
      </view>
    </view>
  );
}
