import { Button, View, Navigator, Image } from "@tarojs/components";
import Taro from '@tarojs/taro'
import { useState } from "react";
import { getImgURL } from "@/utils/image";
import "./index.scss";

export default (props) => {
  const { posterImg,onPoster=()=>{} } = props;

  // const [showPoter, setShowPoster] = useState(true);


  const onLinkShare = () =>{

    Taro.showModal({
      title: '点击右上角，分享给好友',
      confirmText:'我知道了',
      showCancel:false,
      success: function (res) {
        if (res.confirm) {
          console.log('用户点击确定')
        } else if (res.cancel) {
          console.log('用户点击取消')
        }
      }
    })
  }

  return (
    <View className="invitation-bottom">
      <View className="Btn">
        <Button onClick={() => onPoster(true)}>海报分享</Button>
      </View>
      <View className="Btn">
        <Button className="default" onClick={()=>onLinkShare()}>链接转发</Button>
      </View>
      <View className="invitation-bottom-links">
        <View>
          <Navigator url="/subpackages/pages/broker/agentRule/index">
            邀请规则
          </Navigator>
        </View>
        <View>
          <Navigator url="/subpackages/pages/broker/invitationlist/index">
            我的邀请
          </Navigator>
        </View>
        <View>
          <Navigator url="/subpackages/pages/broker/rankingList/index">
            邀请排行
          </Navigator>
        </View>
      </View>

      {/* {showPoter && (
        <View className="container" onClick={() => setShowPoster(false)}>
          <view className="centerLabel">
            <view>
              <view className="Img">
                <Image mode="scaleToFill" onClick={(e)=>e.stopPropagation()} src={getImgURL(posterImg)}></Image>
              </view>
            </view>
          </view>
        </View>
      )} */}
    </View>
  );
};
