import withLayout from "@/layout";
import { Image, View } from "@tarojs/components";
import "./index.scss";
import { getbkAgentRule } from "@/services/broker";
import usePoster from "./poster/usePoster";
import Poster from "./poster";
import BottomAction from "./BottomAction";
import { useEffect, useState } from "react";
import { useShareAppMessage } from "@tarojs/taro";

const defaultImage =
  "https://xlk-assets.oss-cn-shanghai.aliyuncs.com/miniapp/broker/%E6%B5%B7%E6%8A%A5.png";

export default withLayout((props) => {
  const { router, person } = props;
  const [posterImg, setPosterImg] = useState();
  const [showPoster, setShowPoster] = useState(false);
  // subpackages/pages/broker/toBeBroker/index
  useShareAppMessage((res) => {
    return {
      title: "全民经纪人，一荐值万金",
      path: `subpackages/pages/broker/toBeBroker/index?recommendAgent=${person.personId}`,
    };
  });

  const posterData = usePoster(
    posterImg,
    "subpackages/pages/broker/toBeBroker/index",
    `recommendAgent=${person.personId}`
  );
  useEffect(() => {
    getbkAgentRule().then((res) => {
      setPosterImg(res.poster);
    });
  }, []);

  return (
    <>
      <View className="invitation-iframe">
        <Image className="invitation-img" mode="widthFix" src={defaultImage} />
        <BottomAction
          posterImg={posterImg}
          onPoster={() => setShowPoster(true)}
        />
      </View>
      <Poster
        show={showPoster}
        dataSource={posterData}
        onClose={() => setShowPoster(false)}
        onSuccess={() => setShowPoster(false)}
      />
    </>
  );
});
