import { useState, useEffect } from "react";
import Taro from "@tarojs/taro";
import { useSelector } from "react-redux";
import withLayout from "@/layout";
import { ScrollView, Input, Image, Block, Textarea } from "@tarojs/components";
import { getImgURL } from "@/utils/image";
import { fetch, uploadFiles } from "@/utils/request";
import { UPDATE_USER_INFO, ROLE_CODE } from "@/constants/user";
import { API_EDIT_AGENT, API_UPDATE_PHOTO } from "@/constants/api";
import store from "@/store";

import "@/assets/css/iconfont.css";
import "./index.scss";

export default withLayout((props) => {
  const { columns, data } = props;
  const [activeKey, setActiveKey] = useState(1);
  return (
    <view className="component myAchievement">
      <view className="myAchievement-tag">我的成绩</view>
      <view className="info">
        {columns.map((x, index) => (
          <view key={index} style={{width:x.width,textAlign:'center'}}>{x.myRankRender}</view>
        ))}
      </view>
    </view>
  );
});
